Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.codecs
[Groovy] Class JSONCodec

    java.lang.Object
      org.codehaus.groovy.grails.plugins.codecs.JSONCodec

All Implemented Interfaces:
  CodecFactory

    @groovy.transform.CompileStatic
    class JSONCodec
    extends java.lang.Object

A codec that encodes strings to JSON

Authors:
  Lari Hotari

Since:
  2.3.4

Property Summary
`static Encoder` | `ENCODER`

Method Summary
`Decoder` | `getDecoder()`
`Encoder` | `getEncoder()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### ENCODER

    static Encoder ENCODER

Method Detail

### getDecoder

    Decoder getDecoder()

### getEncoder

    Encoder getEncoder()

Groovy Documentation